[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

List of all members
Node< e_ConstProbNode > Class Reference

`#include <vigra/random_forest/rf_nodeproxy.hxx>`

Inheritance diagram for Node< e_ConstProbNode >:

## Additional Inherited Members

Public Member Functions inherited from NodeBase
INT & | child (Int32 l)
INT const & | child (Int32 l) const
Topology_type | column_data () const
Topology_type | columns_begin () const
Topology_type | columns_end () const
int | columns_size () const
bool | data () const
| NodeBase ()
| NodeBase (int tLen, int pLen, NodeBase &node)
| NodeBase (int tLen, int pLen, T_Container_type &topology, P_Container_type &parameter)
| NodeBase (int tLen, int pLen, T_Container_type const &topology, P_Container_type const &parameter, INT n)
| NodeBase (NodeBase const &toCopy, T_Container_type &topology, P_Container_type &parameter)
| NodeBase (T_Container_type const &topology, P_Container_type const &parameter, INT n)
INT & | parameter_addr ()
Parameter_type | parameters_begin () const
Topology_type | topology_begin () const
INT & | typeID ()
double & | weights ()

## Detailed Description

ExteriorNodeBase class.

This class implements common features of all interior nodes. All interior nodes are derived classes of ExteriorNodeBase.

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_nodeproxy.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.12.4